Subject: Re: [PATCH net-next v4 4/5] dpaa2-eth: add MAC/PHY support through phylink

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 17 Nov 2019 17:01:01 +0000

On Thu, Oct 31, 2019 at 01:18:31AM +0200, Ioana Ciornei wrote:
> +static const struct phylink_mac_ops dpaa2_mac_phylink_ops = {
> +	.validate = dpaa2_mac_validate,

I notice you haven't provided a mac_link_state function - this is a
mandatory function, which should read the settings from the PCS (it
ought to be renamed - it has its origin in Marvell's NETA controller
which didn't distinguish.)

Without this function, phylink can provoke an oops, particularly when
a SFP module has been inserted.

If you don't want to populate it, just provide a stub function.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up